// A comment is a line(s) of code that is for humans and will not be run by Illustrator
// We are going to use commenting to turn on/off parts of this basic script.
// There are two ways to comment code
// The first is to put two slashes at the beginning of a line (like the four lines you just read)
/*
	The second way allows you to comment multiple lines.
	You start the comment block with slash-star
	and end the comment block with star-slash
	See? These four lines are commented and will not be read by Illustrator
*/
// Comments are useful both as clarification of what code does as well and for turning on/off code quickly

// FIRST, comment out the last three lines of code

// Now let's create a variable. A variable is a data item that holds a value and is a VERY powerful part of scripting
// 3 main reasons to use variables
// - so you can identify the value's purpose in the script
// - so you can use the same value multiple times throughout a script (helpful as well to shorten reusble bits of code)
// - so you can keep track of and change a value thoughout the course of a script

// The first variable we'll set is one that shortens a value we have to use over and over again.
// This reference tells Illustrator what document to use for the script. You won't change this.
var docRef = app.activeDocument;

// OK, let's create two variables that holds values you'll change
// A variable can have almost any name without spaces, but should be descriptive of its use.
// And can contain different types of data, here a text string and an integer.
var myName = "Keetra";
var myAge = 45;
// Show a pop-up dialog with your variables
// UNCOMMENT the next line
//alert("Hello "+myName+"! You are "+myAge+" years old");

// SAVE this file, go to Illustrator, RUN the script (File / Scripts... / Other Scripts...)

// OK, comment out the alert() line above

// Now let's use your age to draw a rectangle (top, left, width, height)
// UNCOMMENT the next line
//docRef.pathItems.rectangle(20,40,23,myAge*2);

// change your age above & run again.
// change the other rectangle values & run again
// you can add (+) subtract (-) multiply (*) or divide(/) any value

// What if you want some randomness? We all do. Set values to a random number from 1-100
// Math.random() chooses a pseudo-random value between 0-1
// if we multiply the resulting random number by 100, we get a range of 0-100
// UNCOMMENT the next FOUR lines

docRef.pathItems.rectangle(Math.random()*100,Math.random()*100,50,50);
docRef.pathItems.rectangle(Math.random()*100,Math.random()*100,50,50);
docRef.pathItems.rectangle(Math.random()*100,Math.random()*100,50,50);
docRef.pathItems.rectangle(Math.random()*100,Math.random()*100,50,50);


// woohoo! Change the values and run again!

// that's great, how do I make lots of rectangles without copying and pasting the four lines above? Using a for loop, that's how
// UNCOMMENT the next THREE lines
/*for (var i=0; i<myAge; i++) {
	docRef.pathItems.rectangle(Math.random()*500, 50*i, 400/(i+1), Math.random()*200);
}
*/