﻿// application reference variables
var docRef = app.activeDocument;
var selRef = docRef.selection;

// how many duplicates?
var dupes = 100;

// loop through all selected paths
for (var i=0; i<selRef.length; i++) {
	// path reference
	var pathRef = selRef[i];

	// loop through the number of duplicates
	for (var j=0; j<dupes; j++) {
		// duplicate reference
		var newPath = pathRef.duplicate();
		
		// set different properties of the path
		newPath.rotate(Math.random()*360);
		newPath.resize(Math.random()*170+30,Math.random()*170+30);
		newPath.translate(Math.random()*-2000 - 1000,Math.random()*1000 - 500);
		newPath.opacity = Math.random()*100;

		// use if/then statements to apply changes to a percentage of duplicates
		var percentage = Math.random()*100;
		if (percentage < 25) {
			newPath.stroked = true;
			newPath.filled = true;
		} else if (percentage >= 25 && percentage < 50) {
			newPath.stroked = false;
			newPath.filled = true;
		} else {
			newPath.stroked = true;
			newPath.filled = false;
		}

		// set random colors to the fill & stroke, can be RGB or CMYK
		var fillColor1 = new RGBColor();
		fillColor1.red = Math.round(Math.random()*255);
		fillColor1.green = Math.round(Math.random()*255);
		fillColor1.blue = Math.round(Math.random()*255);
		var strokeColor1 = new CMYKColor();
		strokeColor1.cyan = Math.round(Math.random()*100);
		strokeColor1.yellow = Math.round(Math.random()*100);
		strokeColor1.magenta = Math.round(Math.random()*100);
		strokeColor1.black = Math.round(Math.random()*100);
		newPath.fillColor = fillColor1;
		newPath.strokeWidth = 2;
		newPath.strokeColor = strokeColor1;
	}
}
